| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
GaudiPython.Bindings.iAlgTool Class Reference
Inheritance diagram for GaudiPython.Bindings.iAlgTool:
[legend]
Collaboration diagram for GaudiPython.Bindings.iAlgTool:
[legend]

## Public Member Functions
def | __init__ (self, name, itool=None)
def | retrieveInterface (self)
def | start (self)
def | stop (self)
def | type (self)
def | name (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | getInterface (self)
def | __call_interface_method__ (self, ifname, method, *args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)

## Detailed Description

    Python equivalent to IAlgTool interface (not completed yet)

Definition at line 479 of file Bindings.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiPython.Bindings.iAlgTool.__init__ | ( |  | self,
|  |  | name,
|  |  | itool = `None`
| ) |  |

Reimplemented from GaudiPython.Bindings.iProperty.

Definition at line 482 of file Bindings.py.

482 def __init__(self, name, itool=None):
483 iProperty.__init__(self, name, itool)
484 if itool:
485 self.__dict__['_itool'] = itool
486 else:
487 self.__dict__['_itool'] = None
488 svc = Helper.service(self._svcloc, 'ToolSvc', True)
489 self.__dict__['_toolsvc'] = iToolSvc('ToolSvc', svc)
490

## Member Function Documentation

## ◆ name()

def GaudiPython.Bindings.iAlgTool.name | ( |  | self | ) |

Reimplemented from GaudiPython.Bindings.iProperty.

Definition at line 505 of file Bindings.py.

505 def name(self):
506 if self._itool:
507 return self._itool.name()
508 else:
509 return self._name
510
511
512 # ----iDataSvc class-----------------------------------------------------------
513
514
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41

## ◆ retrieveInterface()

def GaudiPython.Bindings.iAlgTool.retrieveInterface | ( |  | self | ) |

Reimplemented from GaudiPython.Bindings.iProperty.

Definition at line 491 of file Bindings.py.

491 def retrieveInterface(self):
492 itool = self._toolsvc._retrieve(self._name)
493 if itool:
494 iAlgTool.__init__(self, self._name, itool)
495

## ◆ start()

def GaudiPython.Bindings.iAlgTool.start | ( |  | self | ) |

Definition at line 496 of file Bindings.py.

496 def start(self):
497 return self.__call_interface_method__("_itool", "start")
498
IOTest.start
def start
Definition: IOTest.py:97

## ◆ stop()

def GaudiPython.Bindings.iAlgTool.stop | ( |  | self | ) |

Definition at line 499 of file Bindings.py.

499 def stop(self):
500 return self.__call_interface_method__("_itool", "stop")
501

## ◆ type()

def GaudiPython.Bindings.iAlgTool.type | ( |  | self | ) |

Definition at line 502 of file Bindings.py.

502 def type(self):
503 return self.__call_interface_method__("_itool", "type")
504
gaudirun.type
type
Definition: gaudirun.py:142

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py